Bug 1735687 - NEVRA parsing code doesn't respect glob syntax
Summary: NEVRA parsing code doesn't respect glob syntax
Keywords:
Status: NEW
Alias: None
Product: Fedora
Classification: Fedora
Component: libdnf
Version: 34
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Lukáš Hrázký
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-08-01 09:18 UTC by Lukáš Hrázký
Modified: 2021-02-09 16:15 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Type: Bug


Attachments (Terms of Use)

Description Lukáš Hrázký 2019-08-01 09:18:44 UTC
The NEVRA parsing code doesn't respect glob syntax while parsing NEVRA forms. For example the dash sign can be inside a glob definition like e.g. "[a-f]" and the regexes parsing the strings can split the nevra in half. This results in the particular NEVRA form not matching anything.

There is a test for it in this PR:
https://github.com/rpm-software-management/ci-dnf-stack/pull/577

I will annotate the test with this bug's ID.

Comment 1 Ben Cotton 2019-08-13 17:02:56 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 31 development cycle.
Changing version to '31'.

Comment 2 Ben Cotton 2019-08-13 17:27:38 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 31 development cycle.
Changing version to 31.

Comment 3 Ben Cotton 2020-11-03 17:03:19 UTC
This message is a reminder that Fedora 31 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 31 on 2020-11-24.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '31'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 31 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 4 Lukáš Hrázký 2020-11-05 08:59:19 UTC
An example of a broken nevra with a glob: foo-[1-2].0-1

The dash in the [1-2] glob is treated as a delimiter between version and release.

Comment 5 Ben Cotton 2021-02-09 16:15:06 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 34 development cycle.
Changing version to 34.


Note You need to log in before you can comment on or make changes to this bug.